#pragma once

#include "stdafx.h"

typedef struct _Screen {
	HDC hdcScreen;
	HDC hdcBitmap;
	HRGN hScreenRgn;
	HBITMAP hBitmap;
	HGDIOBJ hOldObj;
} Screen;

// Create a Screen struct.
Screen *CreateScreen(void);
// Write a screen region to the given filename.
int WriteRegionToFile(Screen *, RECT *, LPTSTR);
// Commit a "screenshot" of the screen to scrn->hBitmap
int SnapScreen(Screen *);